import { OnDestroy, EventEmitter } from '@angular/core';
import { FormGroup, FormBuilder } from '@angular/forms';
import { EsriComponent } from '../esri/esri.component';
import { FieldConfig } from '../models/field-config.interface';
import { Field } from '../models/field.interface';
import { NgxDynamicTagService } from '../../dynamic-tag.service';
import { NzMessageService } from 'ng-zorro-antd';
export declare const SR = 102100;
export declare const DATASR = 32648;
export declare class FormMapComponent implements Field, OnDestroy {
    tagService: NgxDynamicTagService;
    formBuilder: FormBuilder;
    messageService: NzMessageService;
    config: FieldConfig;
    group: FormGroup;
    isDrawing: boolean;
    form: FormGroup;
    arcgisToken: any;
    symbols: any;
    popups: {
        point: {
            title: string;
            content: string;
        };
        quarter: {};
        apartment: {
            title: string;
            content: string;
        };
        street: {
            title: string;
            content: string;
        };
    };
    drawConfig: {
        isDrawActive: boolean;
        isInputActive: boolean;
        submitted: boolean;
    };
    esri: EsriComponent;
    homeButton: any;
    drawButton: any;
    inputButton: any;
    clickListener: any;
    pointLayer: any;
    quarterLayer: any;
    apartmentLayer: any;
    streetLayer: any;
    selectedQuarter: any;
    selectedApartment: any;
    selectedStreet: any;
    apartmentConfig: any;
    streetConfig: any;
    mapTypeConfig: any;
    subscription: any;
    exportSubscription: any;
    xCoord: any;
    yCoord: any;
    imageExported: EventEmitter<any>;
    private dmsErrorMessage;
    constructor(tagService: NgxDynamicTagService, formBuilder: FormBuilder, messageService: NzMessageService);
    ngOnDestroy(): void;
    adviseMapLoaded($event: any): void;
    goToQuarter(quarter: number, isChanged: boolean, quarterChanged: boolean): void;
    chooseType(polygon: any, quarter: any): void;
    typeSelected(): void;
    deactivateMapType(): void;
    queryApartment(polygon: any, quarter: any): void;
    toggleParcelButton(enable: any): void;
    queryStreet(polygon: any, quarter: any): void;
    apartmentSelected(): void;
    streetSelected(): void;
    prepareDraw(): void;
    insertInput(): void;
    inputPoint(): void;
    activateInput(): void;
    deactivateInput(): void;
    toggleDraw(): void;
    toggleParcel(): void;
    activateDraw(): void;
    clearPoints(): void;
    deactivateDraw(): void;
    deactivateApartment(): void;
    deactivateStreet(): void;
    drawPoint(point: any): {};
    goToParcel(pointJSON: any, polygon: any, quarter: any): void;
    displayPoint(pointJSON: any): void;
    printMap(openWindow?: boolean): void;
    protected updateHomeButton(extent: any): void;
    private registerToken;
    private convertCoordinate;
}
