import { EventEmitter, SimpleChanges, OnChanges, OnDestroy, OnInit } from '@angular/core';
import { FormBuilder, FormGroup } from '@angular/forms';
import { NzMessageService } from 'ng-zorro-antd';
import { NgxValidationService } from '../dynamic-validation.service';
import { NgxDynamicTagService } from '../dynamic-tag.service';
import { FieldConfig } from './models/field-config.interface';
import { FormConfig } from './models/form-config.interface';
export declare class DynamicFormComponent implements OnInit, OnChanges, OnDestroy {
    toastMessage: NzMessageService;
    dynamicTagService: NgxDynamicTagService;
    protected validationService: NgxValidationService;
    protected fb: FormBuilder;
    submitted: boolean;
    form: FormGroup;
    id: string;
    data: any;
    config: FormConfig;
    readonly: boolean;
    gisFields: any;
    protected submit: EventEmitter<any>;
    protected change: EventEmitter<any>;
    protected focus: EventEmitter<any>;
    protected buttonClick: EventEmitter<any>;
    protected imageExported: EventEmitter<any>;
    private subscription;
    constructor(toastMessage: NzMessageService, dynamicTagService: NgxDynamicTagService, validationService: NgxValidationService, fb: FormBuilder);
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    ngOnDestroy(): void;
    readonly controls: FieldConfig[];
    return(): void;
    initData(): void;
    onSubmit(button?: any): void;
    onFocus($event: any): void;
    onClick($event: any): void;
    onExport($event: any): void;
    checkFormAndReturn(): {};
    runExport(): void;
    getUploadFields(): FieldConfig[];
    uploading(field: FieldConfig): Promise<any>;
    resolveUploads(uploadFields?: FieldConfig[]): Promise<{}>;
    isValidFieldConfig(fieldConfig: any): boolean;
    protected formInitLibrary(chain?: string): void;
    protected formInit(): void;
    protected formMap(values: any): void;
    protected extractAllText(str: any): any[];
    protected run(operation: any): any;
    protected formArithmetic(values: any): void;
    protected formRelation(values: any): void;
    protected unsubscribe(): void;
    protected formOnChanges(): void;
    private createGroup;
    private createArrayGroup;
    private createGroupBy;
    private createControl;
}
